Subject: Restoring missing text from draft-ietf-pwe-control-protocol-02

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 25 Mar 2003 22:12:53 -0500

Yes, absolutely!

Vach, thanks for noticing this.  I've moved this from the mpls list to the 
PWE3 list and changed the subject line to flag it.

Cheers,
Andy

----------

At 3/25/2003 06:52 PM -0800, Vach Kompella wrote:

>One of the problems with the new version of the pwe3-control draft is that the
>line that says that the platform label space must be used has been dropped 
>from
>the text.  I assume that this was unintentional because it doesn't make 
>sense to
>use interface-specific labels.  However, it became apparent at the ISOCORE
>interop that one vendor didn't realize this.
>
>Could it please be re-inserted, right after where it says liberal label
>retention should be used?
>
>   "VC labels MUST be allocated from the per-platform label space."
>
>Thanks.
>
>-Vach
>
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]On Behalf Of Andrew G.
> > Malis
> > Sent: Tuesday, March 25, 2003 5:49 PM
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: Re: Distributing Labels for PWs within an LSP TE Tunnel
> >
> >
> > At 3/25/2003 10:04 AM -0500, Eric Rosen wrote:
> >
> > >Nurit> I do look for  a way to bind the (LDP) signaled  PWs to the 
> (RSVP-TE)
> > >Nurit> signaled transport tunnel LSP, in a way that both PEs know 
> about it.
> > >
> > >There is no way to do this using the protocols as currently defined.
> >
> > I agree with Eric, and it's the way it is for a very good reason - as a
> > result of requiring PW labels in the platform label space, deciding which
> > RSVP-TE tunnel to use for the LDP-signaled PWs is purely a local matter at
> > the PE that's encapsulating the L2 frames.  This allows a number of nice
> > properties, such as the ability to very easily switch to a backup tunnel if
> > there's a primary tunnel failure and the network isn't using FRR in the
> > core, or to load-share over multiple tunnels if the PW doesn't have
> > sequentiality requirements (or has partial sequentiality
> > requirements).  Using end-to-end signaling to bind a PW to a particular
> > tunnel removes these properties.
> >
> > Cheers,
> > Andy
> >
> >